<?php
/**
 * Created by PhpStorm.
 * User: chendeben
 * Date: 2018/8/31
 * Time: 下午9:35
 */

namespace Heanup\App\Script\Controller;


use Heanup\App\Script\Controller;
use Heanup\Library\Sms\Sms24;
use Heanup\Library\Sms\ReceiveSmsCc;
use Heanup\Library\Sms\ReceiveSmsFree;

class Server extends Controller
{

    /**
     * 执行逻辑
     */
    protected function main()
    {
        $tasks=[
          new  ReceiveSmsFree(),
          new  ReceiveSmsCc()
        ];
        foreach ($tasks as $task) {
            $countries = $task->getCountry();
            foreach ($countries as $country) {
                $task->getPhoneNums($country['link']);
            }
        }
    }
}